Debian Bug report logs - #693695
general: "error while loading shared libraries" on system upgrade

version graph

Package: vlc-nox; Maintainer for vlc-nox is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for vlc-nox is src:vlc.

Reported by: Victor Porton <porton@narod.ru>

Date: Mon, 19 Nov 2012 12:33:01 UTC

Severity: serious

Tags: pending

Merged with 685243

Found in versions vlc/1.1.3-1squeeze6, vlc/2.0.3-4

Fixed in version vlc/2.0.3-5

Done: Benjamin Drung <bdrung@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#693695; Package general. (Mon, 19 Nov 2012 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Porton <porton@narod.ru>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Mon, 19 Nov 2012 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Victor Porton <porton@narod.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: "error while loading shared libraries" on system upgrade
Date: Mon, 19 Nov 2012 14:30:00 +0200
Package: general
Severity: important


While upgrading squeeze -> wheezy:

Preparing to replace libvlc5 1.1.3-1squeeze6 (using .../libvlc5_2.0.3-3_i386.deb) ...
Unpacking replacement libvlc5 ...
Processing triggers for man-db ...
Processing triggers for vlc-nox ...
/usr/lib/vlc/vlc-cache-gen: error while loading shared libraries: libvlccore.so.5: cannot open shared object file: No such file or directory
dpkg: error processing vlc-nox (--unpack):
 subprocess installed post-installation script returned error exit status 127
configured to not write apport reports
                                      Errors were encountered while processing:
 vlc-nox
E: Sub-process /usr/bin/dpkg returned an error code (1)



-- System Information:
Debian Release: 6.0.6
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#693695; Package general. (Mon, 19 Nov 2012 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Mon, 19 Nov 2012 12:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 693695@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Victor Porton <porton@narod.ru>
Cc: 693695@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#693695: general: "error while loading shared libraries" on system upgrade
Date: Mon, 19 Nov 2012 14:45:19 +0200
forcemerge 685243 693695
thanks

Victor Porton <porton@narod.ru> writes:
> /usr/lib/vlc/vlc-cache-gen: error while loading shared libraries:
> libvlccore.so.5: cannot open shared object file: No such file or
> directory

I did a google search with "libvlccore.so.5: cannot open shared object
file" you found this has already been reported:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685243

Merging.

-Timo



Bug reassigned from package 'general' to 'vlx-nox'. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 19 Nov 2012 12:57:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'vlx-nox' to 'src:vlc'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 12:57:05 GMT) Full text and rfc822 format available.

Marked as found in versions vlc/2.0.3-3. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 12:57:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:vlc' to 'vlc-nox'. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 19 Nov 2012 13:12:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions vlc/2.0.3-3. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 19 Nov 2012 13:12:03 GMT) Full text and rfc822 format available.

Marked as found in versions vlc/1.1.3-1squeeze6. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 19 Nov 2012 13:12:04 GMT) Full text and rfc822 format available.

Merged 685243 693695 Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 19 Nov 2012 13:12:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from intrigeri@debian.org to control@bugs.debian.org. (Mon, 19 Nov 2012 14:00:04 GMT) Full text and rfc822 format available.

Message #27 received at 685243-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: 685243-close@bugs.debian.org
Subject: Bug#685243: fixed in vlc 2.0.3-5
Date: Mon, 04 Mar 2013 21:02:54 +0000
Source: vlc
Source-Version: 2.0.3-5

We believe that the bug you reported is fixed in the latest version of
vlc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685243@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@debian.org> (supplier of updated vlc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 04 Mar 2013 16:15:02 +0100
Source: vlc
Binary: libvlc-dev libvlc5 libvlccore-dev libvlccore5 vlc vlc-data vlc-dbg vlc-nox vlc-plugin-fluidsynth vlc-plugin-jack vlc-plugin-notify vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-zvbi
Architecture: source amd64 all
Version: 2.0.3-5
Distribution: testing
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdrung@debian.org>
Description: 
 libvlc-dev - development files for libvlc
 libvlc5    - multimedia player and streamer library
 libvlccore-dev - development files for libvlccore
 libvlccore5 - base library for VLC and its modules
 vlc        - multimedia player and streamer
 vlc-data   - Common data for VLC
 vlc-dbg    - debugging symbols for vlc
 vlc-nox    - multimedia player and streamer (without X support)
 vlc-plugin-fluidsynth - FluidSynth plugin for VLC
 vlc-plugin-jack - Jack audio plugins for VLC
 vlc-plugin-notify - LibNotify plugin for VLC
 vlc-plugin-pulse - PulseAudio plugin for VLC
 vlc-plugin-sdl - SDL video and audio output plugin for VLC
 vlc-plugin-svg - SVG plugin for VLC
 vlc-plugin-zvbi - VBI teletext plugin for VLC
Closes: 685243
Changes: 
 vlc (2.0.3-5) testing; urgency=low
 .
   * vlc-plugin-*: Break vlc-nox (<< 2.0.0) to workaround running an outdated
     vlc-cache-gen. (Closes: #685243)
Checksums-Sha1: 
 69fa1f3f27abbeb8e339cda2d463ca3dceca33f2 4844 vlc_2.0.3-5.dsc
 ad0f364f36947ed3a734fd3a271598df2ba1ab9d 58759 vlc_2.0.3-5.debian.tar.gz
 d3595a26eb5f106d20d6ab4849ebb917ee10f07e 59478 libvlc-dev_2.0.3-5_amd64.deb
 00046a5c136d1d293a1f1c67dab84660ae7d2a49 39264 libvlc5_2.0.3-5_amd64.deb
 c056ce30712d650967dadfe1235a5cf9f025fefd 504458 libvlccore-dev_2.0.3-5_amd64.deb
 a213bcf6fe273c798186a148922dee680d7f3fbf 356370 libvlccore5_2.0.3-5_amd64.deb
 040cce3d0767a1c54f8821272e0170f50fb5d804 1050892 vlc_2.0.3-5_amd64.deb
 51eca9a80607105ffd2c5624040774a018e73072 5107420 vlc-data_2.0.3-5_all.deb
 312462989adb5ada8e306e0866e40cf2cbaf875e 13274058 vlc-dbg_2.0.3-5_amd64.deb
 650397130231171c865d56fc9c2636bf288a8962 2550962 vlc-nox_2.0.3-5_amd64.deb
 6ed20fe5b19b4b7440c681ab96f78d5c9a46c82e 5476 vlc-plugin-fluidsynth_2.0.3-5_amd64.deb
 ced7937143dd01162a402b2a0bebdfd461dea71f 10498 vlc-plugin-jack_2.0.3-5_amd64.deb
 8ae0f47c4c206a06a60cb2ba4537762c9ab87b33 5620 vlc-plugin-notify_2.0.3-5_amd64.deb
 05f756e5cb3788831f73e1ffd9f122ecb433dade 16774 vlc-plugin-pulse_2.0.3-5_amd64.deb
 58b4a9e3a76bf1d2947bbab382d051ce390c39f1 8114 vlc-plugin-sdl_2.0.3-5_amd64.deb
 4c9c52bdc15c5b179e058bccf089e433e76b5f45 6314 vlc-plugin-svg_2.0.3-5_amd64.deb
 6f12a6748f629657831da6ee3b073b0dcc5d4616 8036 vlc-plugin-zvbi_2.0.3-5_amd64.deb
Checksums-Sha256: 
 f62560c8eb1b217012937fd8b44f4bf320b36bebfebe64b0df0513a814e54452 4844 vlc_2.0.3-5.dsc
 719af6a50647e183b836eb0586dfa773b655ae5caefe9639e1d9fd32a1423dee 58759 vlc_2.0.3-5.debian.tar.gz
 3144954a9eed377a084a41c76c258436bb1d890debaba786a1c0435b2c968dbb 59478 libvlc-dev_2.0.3-5_amd64.deb
 bc72d004eb32eeac2844879547c762dbe8e119fa4b1407689db3bbfb63c61edc 39264 libvlc5_2.0.3-5_amd64.deb
 a0e1b865aba1bdb2bc343880ba37aaa9d2ddd33d69a24bcc4a6a596e160ae285 504458 libvlccore-dev_2.0.3-5_amd64.deb
 8f373a0a6c8b39c432d664deee17f36f3509f386816d196ec49f703d6599cbd5 356370 libvlccore5_2.0.3-5_amd64.deb
 96459fb26cb2664f718a8b56897cdf3940454dcc6c5987a7dc27bf6138fc3f2c 1050892 vlc_2.0.3-5_amd64.deb
 e2f452cd594d287d5501d54b7fe3848f7b48c1046827dfaff08339838cb62c40 5107420 vlc-data_2.0.3-5_all.deb
 4427664a877103e42bfe09b79143161e30750a1e9bcc1e50896d6d3d98ed7217 13274058 vlc-dbg_2.0.3-5_amd64.deb
 af611a338c5106e8a734990e9990665af8549a52ed70c9877889168fd7078af3 2550962 vlc-nox_2.0.3-5_amd64.deb
 52fba3cbc9072fdece20beb5b76abcf143be3cea08d9bb9a0941176f55ea9f6a 5476 vlc-plugin-fluidsynth_2.0.3-5_amd64.deb
 5390690bf7fc27360f88ede5149e1e40cc1f72107092c67c963962b68c5a047d 10498 vlc-plugin-jack_2.0.3-5_amd64.deb
 d108ae74564c0013aec91e60521f1fb50c52c0a3285b96b6b46b2f60029009e4 5620 vlc-plugin-notify_2.0.3-5_amd64.deb
 ac3df4d7c7f716803d3d8bc7fd15d5a765e83e1fd85ead6162bba86042acc0e1 16774 vlc-plugin-pulse_2.0.3-5_amd64.deb
 df79830da33f2d908934c3925739903e0c47fdc5da52f698b54598c3d86fe6df 8114 vlc-plugin-sdl_2.0.3-5_amd64.deb
 1e214daf05493afecf7e32088beb214e29c8592e0e59c7d5a216006752d3789c 6314 vlc-plugin-svg_2.0.3-5_amd64.deb
 9f9878e980aebe27fc994c83642eff51e0337cb620c1c2bb2acf5c3333ec625d 8036 vlc-plugin-zvbi_2.0.3-5_amd64.deb
Files: 
 afefc472eb911e7f75377bb653de1712 4844 video optional vlc_2.0.3-5.dsc
 057a2fda4d2a4b58ea0a5602a5ae1853 58759 video optional vlc_2.0.3-5.debian.tar.gz
 0329fbe94bc5749754abfc9114cb7de4 59478 libdevel optional libvlc-dev_2.0.3-5_amd64.deb
 611a47de44af0d8e3a7772402ff5d9bb 39264 libs optional libvlc5_2.0.3-5_amd64.deb
 a9cb009a2f5f774f7eb997b2bb5a8e34 504458 libdevel optional libvlccore-dev_2.0.3-5_amd64.deb
 edfd0bd061b85ee144885a05170378a9 356370 libs optional libvlccore5_2.0.3-5_amd64.deb
 aa466306353e43aae771202475f5d820 1050892 video optional vlc_2.0.3-5_amd64.deb
 1300d9c8030ec9be2c8e69718874df0d 5107420 video optional vlc-data_2.0.3-5_all.deb
 b57d380e0cb5f598daf1e2cf096eaa09 13274058 debug extra vlc-dbg_2.0.3-5_amd64.deb
 2287e18d780ffc5aebd854efb1ab0879 2550962 video optional vlc-nox_2.0.3-5_amd64.deb
 e638fb5b37d49b1b6de9eb651b67cdbb 5476 video optional vlc-plugin-fluidsynth_2.0.3-5_amd64.deb
 cfa532b78718fae7f45925f263dbbcba 10498 video optional vlc-plugin-jack_2.0.3-5_amd64.deb
 0f8a8ae7493aab9242b2ec9e54fc63f9 5620 video optional vlc-plugin-notify_2.0.3-5_amd64.deb
 adda76178912b99030bc7d31da6f481a 16774 video optional vlc-plugin-pulse_2.0.3-5_amd64.deb
 be87017b443000837f1d5648974b3809 8114 video optional vlc-plugin-sdl_2.0.3-5_amd64.deb
 4b710c11e16747a721c6419385e4b4f6 6314 video optional vlc-plugin-svg_2.0.3-5_amd64.deb
 433a5a836fd54b15760d26a9d29d2a16 8036 video optional vlc-plugin-zvbi_2.0.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRNPKBAAoJEBWetcTvyHdMytUQAK0Fgn3WHkYaFncZNweZMQyo
pcTzyQ4+2bszEHElTYN4eKE+zcziYmcvyDqSl2t+iNZSHXeykZJYLu4DjvQs6K7H
F2m9AG7FQgZ+gZx1RTu6VtGUWtGjzaIuxnF5Cz6aRceqyNKOkg0z9Z9FEDPkDete
WQvbm4eDrLFxhvqpGc23ZBi3d7zrMg5Kn5rEN/pa3OoampB9T4DpIWzuU7r92gRv
xVdREV/P5sJ1VTMkP0+yJsi9gRbmjyW+2MKqLFchuKyBhMJHrY8cqZqiqBEZ4G0n
m2dDgE9c0/1RC1h7yYZuD/39NR94QLVRMsgvxP0syChjxBBFtQz7tfdUQD53TrDq
Go5WDF8uFGkeG5xk2d822OpvUpb/rp3RFLGGVqXaidYBI3gc+MT144C2U2JNYiyG
xgraZNRMMm56+coz6TpwMpMkb5ZeflGffNzmh+fmmP1m45NbHLMdmmLLLWVu2/VI
c2z5cJ4Kp4TrdVKadpeWcZeCnuj2VDUyKaLNWmTQcuHivDhs8ncJ3P12XrbBhXiT
+scl7DaLpL/LkjJHCaflLQx4JclIZ5FdqQVRoBXfd1ZzyDeQMRjuX5h1W3WPOdDs
tMyme4Ps65Teh6oHxR3g6n/Qsy4GV4TOOPooL4bex5zfRWqsKJtMcngk2jbGGqaL
M1NRxqHYBQvs1nN8pezl
=h2nl
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Benjamin Drung <bdrung@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 14:33:07 GMT) Full text and rfc822 format available.

Marked as found in versions vlc/2.0.3-4. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 06 Mar 2013 19:45:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:44:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:50:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.